#!/bin/bash

data_dir=/sf/storage/gmo/hic/out/by_Project/INC_COST_3DBenchmark/CTCF_data/
# Declare a string array with type
declare -a files=("CTCF_MEF.narrowPeak" "CTCF_DFL_E12.narrowPeak" "CTCF_FLHL-E105.narrowPeak" "CTCF_PFL_E12.narrowPeak" "CTCF_DFL_E12.orient" "CTCF_HL-E115.narrowPeak" "mast_cells.narrowPeak" "CTCF_E125.narrowPeak" "CTCF_MB-E105.narrowPeak")

# Iterate the string array using for loop
for file in ${files[@]}; do
   echo ${data_dir}${file}
   cut  -f 1-6 ${data_dir}${file} > ${data_dir}${file}.cut
   gimme scan ${data_dir}${file}.cut -g /storage/Web_3DPredictor/_pyenv/genomes/mm10/mm10.fa -p /storage/Web_3DPredictor/input/CTCF_from_Jaspar2016.pwm -n 10 -b > ${data_dir}${file}.orient
done
